###
Options controlling Extensions and Special Features

The switches described here govern the type of `HTML` code that can be generated, and how to choose between the available options when there are alternative strategies for implementing portions of LATEX code.

-html_version `(2.0|3.0|3.2)[,(math|i18n|table)]*`
  Same as setting: `$HTML_VERSION``= "... ";`
  This specifies both the `HTML` version to generate, and any extra (non-standard) `HTML` features that may be required.
  The version number corresponds to a published DTD for an `HTML` standard (although 3.0 was never accepted and subsequently withdrawn). A corresponding Perl file in the `versions/` subdirectory is loaded; these files are named ``html<num>.pl`'.

  Following the version number, a comma-separated list of extensions can be given. Each corresponds to a file ``<name>.pl`' also located in the `versions/` subdirectory. When such a file is loaded the resulting `HTML` code can no longer be expected to validate with the specified DTD. An exception is `math` when the `-no_math` switch is also used, which should still validate.

  Currently, versions 2.0, 3.2 and 4.0 are available. (and also 2.1, 2.2, 3.0 and 3.1, for hoistorical reasons). The extensions `i18n`, `tables`, `math` correspond roughly to what used to be called versions `2.1', `2.2', `3.1' respectively, in releases of LATEX2`HTML` up to 1996. Now these extensions can be loaded with any of `2.0', `3.2' or `4.0' as the specified standard.
  The default version is usually set to be `3.2', within `latex2html.config` .

-no_tex_defs
  Same as setting: `$TEXDEFS``= 0;` (default is 1)
  When `$TEXDEFS` is set (default) the file `texdefs.perl` will be read. This provides code to allow common TEX commands like `\def`, `\newbox`, `\newdimen` and others, to be recognised, especially within the document preamble. In the case of `\def`, the definition may even be fully interpreted, but this requires the pattern-matching to be not too complicated.

  If `$TEXDEFS` is ``0`' or empty, then `texdefs.perl` will not be loaded; the translator will make no attempt to interpret any raw TEX commands. This feature is intended to enable sophisticated authors the ability to insert arbitrary TEX commands in environments that are destined to be processed by LATEX anyway; e.g. figures, theorems, pictures, etc. However this should rarely be needed, as now there is better support for these types of environment. There are now other methods to specify which chunks of code are to be passed to LATEX for explicit image-generation; see the discussion of the makeimage environment.

-external_file `<filename>`
  Same as setting: `$EXTERNAL_FILE``= "<filename>";`
  Specifies the prefix of the `.aux` file that this document should read. The `.aux` extension will be appended to this prefix to get the complete filename, with directory path if needed.
  This file could contain necessary information regarding citations, figure, table and section numbers from LATEX and perhaps other information also. Use of this switch is vital for document segments, processed separately and linked to appear as if generated from a single LATEX document.

-font_size `<size>`
  Same as setting: `$FONT_SIZE``= "<size>";`
  This option provides better control over the font size of environments made into images using LATEX. `<size>` must be one of the font sizes that LATEX recognizes; i.e. ``10pt`', ``11pt`', ``12pt`', etc. Default is ``10pt`', or whatever option may have been specified on the `\documentclass` or `\documentstyle` line.
  Whatever size is selected, it will be magnified by the installation variables `$MATH_SCALE_FACTOR`, `$FIGURE_SCALE_FACTOR` and `$DISP_SCALE_FACTOR` as appropriate.

  Note: This switch provides no control over the size of text on the `HTML` pages. Such control is subject entirely to the user's choices of settings for the browser windows.

-scalable_fonts
  Same as setting: `$SCALABLE_FONTS``= 1;`
  This is used when scalable fonts, such as PostScript versions of the TEX fonts, are available for image-generation.
  It has the effect of setting `$PK_GENERATION` to ``1`', and `$DVIPS_MODE` to be empty, overriding any previous settings for these variables.

-no_math
  Same as setting: `$NO_SIMPLE_MATH``= 1;`
  Ordinarily simple mathematical expressions are set using the ordinary text font, but italiced. When part of the expression can not be represented this way, an image is made of the whole formula. This is called “simple math”. When `$NO_SIMPLE_MATH` is set, then all mathematics is made into images, whether simple or not.

  However, if the `math` extension is loaded, using the `-html_version` switch described earlier, then specifying `-no_math` produces a quite different effect. Now it is the special `<MATH>` tags and entities which are cancelled. In their place a sophisticated scheme for parsing mathematical expressions is used. Images are made of those sub-parts of a formula which cannot be adequately expressed using (italiced) text characters and `<SUB>` and `<SUP>` tags. See the subsection on mathematics for more details.

-local_icons
  Same as setting: `$LOCAL_ICONS``= 1;`
  A copy of each of the icons actually used within the document is placed in the directory along with the `HTML` files and generated images. This allows the whole document to be fully self-contained, within this directory; otherwise the icons must be retrieved from a (perhaps remote) server. It is also the default behavior if `$ICONSERVER` is not set.

  The icons are normally copied from a subdirectory of the `$LATEX2HTMLDIR`, set within `latex2html.config`. An alternative set of icons can be used by specifying a (relative) directory path in `$ALTERNATIVE_ICONS` to where the customised images can be found.

-init_file `<file>`
  Load the specified initialisation file. This Perl file will be loaded after loading `$HOME/.latex2html-init` , or `.latex2html-init` in the local directory, if either file exists. It is read at the time the switch is processed, so the contents of the file may change any of the values of any of the variables that were previously established, as well as any default options. More than one initialisation file can be read in this way.

  98.1

-no_fork
  Same as setting: `$NOFORK``= 1;`
  When set this disables a feature in the early part of the processing whereby some memory-intensive operations are performed by `forked' child processes. Some single-task operating systems, such as `DOS`, do not support this feature. Having `$NOFORK` set then ensures that unnecessary file-handles that are needed with the forked processes, are not consumed unnecessarily, perhaps resulting in a fatal Perl error.

-iso_language `<type>`
  This enables you to specify a different language type than `'EN'` to be used in the DTD entries of the `HTML` document, e.g. `'EN.US'`.
  98.1

-short_index
  Same as setting: `$SHORT_INDEX``= 1;`
  Creates shorter Index listings, using codified links; this is fully compatible with the makeidx package.

-no_footnode
  Same as setting: `$NO_FOOTNODE``= 1;`
  Suppresses use of a separate file for footnotes; instead these are placed at the bottom of the `HTML` pages where the references occur.

  When this option is used, it is frequently desirable to change the style of the marker used to indicate the presence of a footnote. This is done as in LATEX, using code such as follows.

  > `\renewcommand{\thefootnote}{\arabic{footnote}}`

  All the styles `\arabic`, `\alph`, `\roman`, `\Alph` and `\Roman` are available.

  98.1

-numbered_footnotes
  Same as setting: `$NUMBERED_FOOTNOTES``= 1;`
  If this is set you will get every footnote applied with a subsequent number, to ease readability.
  98.1

-address `<author-address>`
  Same as setting: `$ADDRESS``= "<author-address>";`
  Sign each page with this address.
  See `latex2html.config` for an example using Perl code to automatically include the date.

  A user-defined Perl subroutine called `&custom_address` can be used instead, if defined; it takes the value of `$ADDRESS` as a parameter, which may be used or ignored as desired. At the time when this subroutine will be called, variables named `$depth`, `$title`, `$file` hold the sectioning-level, title and filename of the `HTML` page being produced; `$FILE` holds the name of the filename for the title-page of the whole document.

-info `<string>`
  Same as setting: `$INFO``= "<string>";`
  Generate a new section “About this document” containing information about the document being translated. The default is to generate such a section with information on the original document, the date, the user and the translator. An empty string (or the value ``0`') disables the creation of this extra section.
  If a non-empty string is given, it will be placed as the contents of the “About this document” page instead of the default information.